net.minecraftforge.client

## Class EnumHelperClient

- java.lang.Object
- - net.minecraftforge.common.util.EnumHelper
  - - net.minecraftforge.client.EnumHelperClient

-     public class EnumHelperClient
      extends EnumHelper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnumHelperClient()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T extends java.lang.Enum<?>> T` | `addEnum(java.lang.Class<T> enumType, java.lang.String enumName, java.lang.Object... paramValues)`
    `static WorldSettings.GameType` | `addGameType(java.lang.String name, int id, java.lang.String displayName)`
    `static GameSettings.Options` | `addOptions(java.lang.String name, java.lang.String langName, boolean isSlider, boolean isToggle)`
    `static Util.EnumOS` | `addOS2(java.lang.String name)`

    - ### Methods inherited from class net.minecraftforge.common.util.EnumHelper

      `addAction, addArmorMaterial, addArt, addCreatureAttribute, addCreatureType, addDoor, addEnchantmentType, addEntitySize, addEnum, addEnum, addMovingObjectType, addRarity, addSensitivity, addSkyBlock, addStatus, addToolMaterial, setFailsafeFieldValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EnumHelperClient

          public EnumHelperClient()

  - ### Method Detail

    - #### addGameType

          public static WorldSettings.GameType addGameType(java.lang.String name,
                                           int id,
                                           java.lang.String displayName)

    - #### addOptions

          public static GameSettings.Options addOptions(java.lang.String name,
                                        java.lang.String langName,
                                        boolean isSlider,
                                        boolean isToggle)

    - #### addOS2

          public static Util.EnumOS addOS2(java.lang.String name)

    - #### addEnum

          public static <T extends java.lang.Enum<?>> T addEnum(java.lang.Class<T> enumType,
                                                java.lang.String enumName,
                                                java.lang.Object... paramValues)